Workspace Users
List Workspace Invites
Retrieve all pending or accepted invitations for a workspace.
GET
/open/workspaces/{workspaceId}/invitesRetrieve all pending or accepted invitations for a workspace.
#Authentication & Scope
Requires workspace admin access.
For Personal Access Tokens, the token must include the workspaces-write ability and the token owner must be an admin of the workspace. Non-admin workspace members and tokens with only workspace-users-read cannot list invites.
#Request
http
GET /open/workspaces/{workspaceId}/invites HTTP/1.1
Host: api.sharaforms.com
Authorization: Bearer <token>#Path Parameters
| Parameter | Type | Description |
|---|---|---|
| workspaceId | number | ID of the workspace. |
#Response
200 OK – Array of Invite objects.
json
[
{
"id": 55,
"email": "[email protected]",
"role": "user",
"status": "pending",
"valid_until": "2024-06-25T23:59:59Z"
}
]403 Forbidden – You are not a workspace admin, or your token lacks workspaces-write.